Unit BASS_AC3;

interface

uses windows, bass;

const
  // BASS_Set/GetConfig options
  BASS_CONFIG_AC3_DOWNMIX        = $10000;
  BASS_CONFIG_AC3_DYNRNG         = $10001;

  // Additional BASS_AC3_StreamCreateFile/User/URL flags (and BASS_CONFIG_AC3_DOWNMIX config values)
  BASS_AC3_DOWNMIX_2 = $200;		// downmix to stereo
  BASS_AC3_DOWNMIX_4 = $400;		// downmix to quad
  BASS_AC3_DOWNMIX_DOLBY = $600;	// downmix to dolby
  BASS_AC3_DYNAMIC_RANGE = $800;	// enable dynamic range compression

  // BASS_CHANNELINFO type
  BASS_CTYPE_STREAM_AC3        = $11000;


const
  bassac3dll = 'bass_ac3.dll';


function BASS_AC3_StreamCreateFile(mem: BOOL; f: Pointer; offset, length, flags: DWORD): HSTREAM; stdcall; external bassac3dll;
function BASS_AC3_StreamCreateURL(URL:PChar; offset:DWORD; flags:DWORD; proc:DOWNLOADPROC; user:DWORD):HSTREAM; stdcall; external bassac3dll;
function BASS_AC3_StreamCreateFileUser(buffered: BOOL; flags: DWORD; proc:STREAMFILEPROC; user:DWORD): HSTREAM; stdcall; external bassac3dll;

implementation

end.